Sıçrayış səhifələri
GET https://digily.link/api/splash-pages/
curl --request GET \
--url 'https://digily.link/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| search | İstəyə bağlı Sətir | Axtarış sətri. |
| search_by | İstəyə bağlı Sətir | Hansı sahə üzrə axtarırsınız. İcazə verilən dəyərlər bunlardır: name. |
| order_by | İstəyə bağlı Sətir | Nəticələri hansı sahəyə görə sıralamaq. İcazə verilən dəyərlər bunlardır: splash_page_id , datetime , last_datetime , name. |
| order_type | İstəyə bağlı Sətir | Nəticələrin sıralanması. İcazə verilən dəyərlər bunlardır: artan sıralama üçün ASC və azalan sıralama üçün DESC. |
| page | İstəyə bağlı Tam ədəd | Nəticələri almaq istədiyiniz səhifə nömrəsi. Defolt olaraq 1. |
| results_per_page | İstəyə bağlı Tam ədəd | Səhifə başına neçə nəticə istəyirsiniz. İcazə verilən dəyərlər: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Standart olaraq 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-03-23 22:45:25",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://digily.link/api/projects?page=1",
"last": "https://digily.link/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://digily.link/api/projects?page=1"
}
}
GET https://digily.link/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://digily.link/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-03-23 22:45:25",
}
}
POST https://digily.link/api/projects
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| name | Tələb olunur Sətir | - |
| title | İstəyə bağlı Sətir | - |
| logo | İstəyə bağlı Fayl | - |
| favicon | İstəyə bağlı Fayl | - |
| opengraph | İstəyə bağlı Fayl | - |
| description | İstəyə bağlı Sətir | - |
| secondary_button_name | İstəyə bağlı Sətir | - |
| secondary_button_url | İstəyə bağlı Sətir | - |
| custom_css | İstəyə bağlı Sətir | - |
| custom_js | İstəyə bağlı Sətir | - |
| ads_header | İstəyə bağlı Sətir | - |
| ads_footer | İstəyə bağlı Sətir | - |
| link_unlock_seconds | İstəyə bağlı Tam ədəd | - |
| auto_redirect | İstəyə bağlı Məntiqi dəyər | - |
curl --request POST \
--url 'https://digily.link/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://digily.link/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://digily.link/api/splash-pages/{splash_page_id}
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| name | İstəyə bağlı Sətir | - |
| title | İstəyə bağlı Sətir | - |
| logo | İstəyə bağlı Fayl | - |
| favicon | İstəyə bağlı Fayl | - |
| opengraph | İstəyə bağlı Fayl | - |
| description | İstəyə bağlı Sətir | - |
| secondary_button_name | İstəyə bağlı Sətir | - |
| secondary_button_url | İstəyə bağlı Sətir | - |
| custom_css | İstəyə bağlı Sətir | - |
| custom_js | İstəyə bağlı Sətir | - |
| ads_header | İstəyə bağlı Sətir | - |
| ads_footer | İstəyə bağlı Sətir | - |
| link_unlock_seconds | İstəyə bağlı Tam ədəd | - |
| auto_redirect | İstəyə bağlı Məntiqi dəyər | - |
curl --request POST \
--url 'https://digily.link/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://digily.link/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://digily.link/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://digily.link/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \